WP6StylesListener Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP6StylesListener Class Reference

`#include <WP6StylesListener.h>`

Inheritance diagram for WP6StylesListener:

## Public Member Functions
| WP6StylesListener (std::list< WPXPageSpan > &pageList, WPXTableList tableList)
void | setDate (const unsigned short, const unsigned short, const unsigned char, const unsigned char, const unsigned char, const unsigned char, const unsigned char, const unsigned char, const unsigned char, const unsigned char)
void | setExtendedInformation (const unsigned short, const librevenge::RVNGString &)
void | startDocument ()
void | startSubDocument ()
void | setAlignmentCharacter (const unsigned)
void | setLeaderCharacter (const unsigned, const unsigned char)
void | defineTabStops (const bool, const std::vector< WPXTabStop > &, const std::vector< bool > &)
void | insertCharacter (unsigned)
void | insertTab (const unsigned char, double)
void | handleLineBreak ()
void | insertEOL ()
void | insertBreak (const unsigned char breakType)
void | characterColorChange (const unsigned char, const unsigned char, const unsigned char)
void | characterShadingChange (const unsigned char)
void | highlightChange (const bool, const RGBSColor &)
void | fontChange (const unsigned short, const unsigned short, const librevenge::RVNGString &)
void | attributeChange (const bool, const unsigned char)
void | lineSpacingChange (const double)
void | spacingAfterParagraphChange (const double, const double)
void | justificationChange (const unsigned char)
void | pageNumberingChange (const WPXPageNumberPosition, const unsigned short, const unsigned short)
void | pageMarginChange (const unsigned char side, const unsigned short margin)
void | pageFormChange (const unsigned short length, const unsigned short width, const WPXFormOrientation orientation)
void | marginChange (const unsigned char side, const unsigned short margin)
void | paragraphMarginChange (const unsigned char, const signed short)
void | indentFirstLineChange (const signed short)
void | columnChange (const WPXTextColumnType, const unsigned char, const std::vector< double > &, const std::vector< bool > &)
void | updateOutlineDefinition (const unsigned short, const unsigned char *, const unsigned char)
void | paragraphNumberOn (const unsigned short, const unsigned char, const unsigned char)
void | paragraphNumberOff ()
void | displayNumberReferenceGroupOn (const unsigned char, const unsigned char)
void | displayNumberReferenceGroupOff (const unsigned char)
void | styleGroupOn (const unsigned char)
void | styleGroupOff (const unsigned char)
void | globalOn (const unsigned char)
void | globalOff ()
void | noteOn (const unsigned short textPID)
void | noteOff (const WPXNoteType)
void | headerFooterGroup (const unsigned char headerFooterType, const unsigned char occurrenceBits, const unsigned short textPID)
void | suppressPageCharacteristics (const unsigned char suppressCode)
void | setPageNumber (const unsigned short pageNumber)
void | setPageNumberingType (const WPXNumberingType pageNumberingType)
void | endDocument ()
void | endSubDocument ()
void | defineTable (const unsigned char position, const unsigned short leftOffset)
void | addTableColumnDefinition (const unsigned, const unsigned, const unsigned, const unsigned, const unsigned char)
void | startTable ()
void | insertRow (const unsigned short rowHeight, const bool isMinimumHeight, const bool isHeaderRow)
void | insertCell (const unsigned char colSpan, const unsigned char rowSpan, const unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment, const bool useCellAttributes, const unsigned cellAttributes)
void | endTable ()
void | boxOn (const unsigned char, const unsigned char, const unsigned char, const signed short, const unsigned char, const unsigned char, const unsigned char, const signed short, const unsigned char, const unsigned short, const unsigned char, const unsigned short, const unsigned char, const unsigned short, const unsigned short)
void | boxOff ()
void | insertGraphicsData (const unsigned short)
void | insertTextBox (const WP6SubDocument *subDocument)
void | commentAnnotation (const unsigned short textPID)
void | undoChange (const unsigned char undoType, const unsigned short undoLevel)
Public Member Functions inherited from WP6Listener
| WP6Listener ()
virtual | ~WP6Listener ()
void | setPrefixData (WP6PrefixData *prefixData)
const WP6PrefixDataPacket * | getPrefixDataPacket (const int prefixID) const
librevenge::RVNGString | getFontNameForPID (const int prefixID) const

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, int nextTableIndice=0)
void | _flushText ()
void | _changeList ()
Protected Member Functions inherited from WPXStylesListener
| WPXStylesListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXStylesListener ()
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Member Functions
| WP6StylesListener (const WP6StylesListener &)
WP6StylesListener & | operator= (const WP6StylesListener &)

## Private Attributes
WPXPageSpan | m_currentPage
WPXTableList | m_tableList
WPXTable * | m_currentTable
double | m_tempMarginLeft
double | m_tempMarginRight
bool | m_currentPageHasContent
bool | m_isTableDefined
bool | m_isSubDocument
std::set< const WPXSubDocument * > | m_subDocuments
std::list< WPXPageSpan >::iterator | m_pageListHardPageMark

## Additional Inherited Members
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

WP6StylesListener::WP6StylesListener | ( | std::list< WPXPageSpan > & | pageList,
|  | WPXTableList | tableList
| ) |  |

WP6StylesListener::WP6StylesListener | ( | const WP6StylesListener & |  | ) |
| private

## Member Function Documentation

void WP6StylesListener::_changeList | ( |  | ) |
| inlineprotected

void WP6StylesListener::_flushText | ( |  | ) |
| inlineprotected

void WP6StylesListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | int | nextTableIndice = `0`
| ) |  |
| protected

Referenced by commentAnnotation(), headerFooterGroup(), insertTextBox(), and noteOn().

void WP6StylesListener::addTableColumnDefinition | ( | const unsigned | ,
|  | const unsigned | ,
|  | const unsigned | ,
|  | const unsigned | ,
|  | const unsigned char |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::attributeChange | ( | const bool | ,
|  | const unsigned char |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::boxOff | ( |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::boxOn | ( | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const signed short | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const signed short | ,
|  | const unsigned char | ,
|  | const unsigned short | ,
|  | const unsigned char | ,
|  | const unsigned short | ,
|  | const unsigned char | ,
|  | const unsigned short | ,
|  | const unsigned short |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::characterColorChange | ( | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::characterShadingChange | ( | const unsigned char |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::columnChange | ( | const WPXTextColumnType | ,
|  | const unsigned char | ,
|  | const std::vector< double > & | ,
|  | const std::vector< bool > & |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::commentAnnotation | ( | const unsigned short | textPID | ) |
| virtual

Implements WP6Listener.

void WP6StylesListener::defineTable | ( | const unsigned char | position,
|  | const unsigned short | leftOffset
| ) |  |
| virtual

Implements WP6Listener.

void WP6StylesListener::defineTabStops | ( | const bool | ,
|  | const std::vector< WPXTabStop > & | ,
|  | const std::vector< bool > & |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::displayNumberReferenceGroupOff | ( | const unsigned char |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::displayNumberReferenceGroupOn | ( | const unsigned char | ,
|  | const unsigned char |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::endDocument | ( |  | ) |
| virtual

Implements WP6Listener.

void WP6StylesListener::endSubDocument | ( |  | ) |
| virtual

Implements WP6Listener.

Referenced by WP6Parser::parseSubDocument().

void WP6StylesListener::endTable | ( |  | ) |
| virtual

Implements WP6Listener.

Referenced by _handleSubDocument().

void WP6StylesListener::fontChange | ( | const unsigned short | ,
|  | const unsigned short | ,
|  | const librevenge::RVNGString & |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::globalOff | ( |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::globalOn | ( | const unsigned char |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::handleLineBreak | ( |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::headerFooterGroup | ( | const unsigned char | headerFooterType,
|  | const unsigned char | occurrenceBits,
|  | const unsigned short | textPID
| ) |  |
| virtual

Implements WP6Listener.

void WP6StylesListener::highlightChange | ( | const bool | ,
|  | const RGBSColor & |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::indentFirstLineChange | ( | const signed short |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::insertBreak | ( | const unsigned char | breakType | ) |
| virtual

Implements WP6Listener.

Referenced by endDocument(), and endSubDocument().

void WP6StylesListener::insertCell | ( | const unsigned char | colSpan,
|  | const unsigned char | rowSpan,
|  | const unsigned char | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | const WPXVerticalAlignment | cellVerticalAlignment,
|  | const bool | useCellAttributes,
|  | const unsigned | cellAttributes
| ) |  |
| virtual

Implements WP6Listener.

void WP6StylesListener::insertCharacter | ( | unsigned |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::insertEOL | ( |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::insertGraphicsData | ( | const unsigned short |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::insertRow | ( | const unsigned short | rowHeight,
|  | const bool | isMinimumHeight,
|  | const bool | isHeaderRow
| ) |  |
| virtual

Implements WP6Listener.

void WP6StylesListener::insertTab | ( | const unsigned char | ,
|  | double |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::insertTextBox | ( | const WP6SubDocument * | subDocument | ) |
| virtual

Implements WP6Listener.

void WP6StylesListener::justificationChange | ( | const unsigned char |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::lineSpacingChange | ( | const double |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::marginChange | ( | const unsigned char | side,
|  | const unsigned short | margin
| ) |  |
| virtual

Implements WP6Listener.

void WP6StylesListener::noteOff | ( | const WPXNoteType |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::noteOn | ( | const unsigned short | textPID | ) |
| virtual

Implements WP6Listener.

WP6StylesListener& WP6StylesListener::operator= | ( | const WP6StylesListener & |  | ) |
| private

void WP6StylesListener::pageFormChange | ( | const unsigned short | length,
|  | const unsigned short | width,
|  | const WPXFormOrientation | orientation
| ) |  |
| virtual

Implements WP6Listener.

void WP6StylesListener::pageMarginChange | ( | const unsigned char | side,
|  | const unsigned short | margin
| ) |  |
| virtual

Implements WP6Listener.

void WP6StylesListener::pageNumberingChange | ( | const WPXPageNumberPosition | pageNumberingPosition,
|  | const unsigned short | pageNumberFontPointSize,
|  | const unsigned short | pageNumberFontPID
| ) |  |
| virtual

Implements WP6Listener.

void WP6StylesListener::paragraphMarginChange | ( | const unsigned char | ,
|  | const signed short |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::paragraphNumberOff | ( |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::paragraphNumberOn | ( | const unsigned short | ,
|  | const unsigned char | ,
|  | const unsigned char |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::setAlignmentCharacter | ( | const unsigned |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::setDate | ( | const unsigned short | ,
|  | const unsigned short | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::setExtendedInformation | ( | const unsigned short | ,
|  | const librevenge::RVNGString & |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::setLeaderCharacter | ( | const unsigned | ,
|  | const unsigned char |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::setPageNumber | ( | const unsigned short | pageNumber | ) |
| virtual

Implements WP6Listener.

void WP6StylesListener::setPageNumberingType | ( | const WPXNumberingType | pageNumberingType | ) |
| virtual

Implements WP6Listener.

void WP6StylesListener::spacingAfterParagraphChange | ( | const double | ,
|  | const double |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::startDocument | ( |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::startSubDocument | ( |  | ) |
| inlinevirtual

Implements WP6Listener.

Referenced by WP6Parser::parseSubDocument().

void WP6StylesListener::startTable | ( |  | ) |
| virtual

Implements WP6Listener.

void WP6StylesListener::styleGroupOff | ( | const unsigned char |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::styleGroupOn | ( | const unsigned char |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6StylesListener::suppressPageCharacteristics | ( | const unsigned char | suppressCode | ) |
| virtual

Implements WP6Listener.

void WP6StylesListener::undoChange | ( | const unsigned char | undoType,
|  | const unsigned short | undoLevel
| ) |  |
| virtual

Implements WP6Listener.

void WP6StylesListener::updateOutlineDefinition | ( | const unsigned short | ,
|  | const unsigned char * | ,
|  | const unsigned char |
| ) |  |
| inlinevirtual

Implements WP6Listener.

## Member Data Documentation

WPXPageSpan WP6StylesListener::m_currentPage
| private

Referenced by headerFooterGroup(), insertBreak(), marginChange(), pageFormChange(), pageMarginChange(), pageNumberingChange(), setPageNumber(), setPageNumberingType(), and suppressPageCharacteristics().

bool WP6StylesListener::m_currentPageHasContent
| private

Referenced by _handleSubDocument(), commentAnnotation(), defineTable(), displayNumberReferenceGroupOff(), handleLineBreak(), headerFooterGroup(), insertBreak(), insertCell(), insertCharacter(), insertEOL(), insertRow(), insertTab(), insertTextBox(), marginChange(), noteOn(), pageFormChange(), paragraphNumberOff(), and startTable().

WPXTable* WP6StylesListener::m_currentTable
| private

Referenced by _handleSubDocument(), defineTable(), endTable(), insertCell(), insertRow(), and startTable().

bool WP6StylesListener::m_isSubDocument
| private

Referenced by _handleSubDocument(), insertBreak(), and marginChange().

bool WP6StylesListener::m_isTableDefined
| private

Referenced by defineTable(), endTable(), and startTable().

std::list<WPXPageSpan>::iterator WP6StylesListener::m_pageListHardPageMark
| private

Referenced by insertBreak(), and marginChange().

std::set<const WPXSubDocument *> WP6StylesListener::m_subDocuments
| private

Referenced by _handleSubDocument().

WPXTableList WP6StylesListener::m_tableList
| private

Referenced by _handleSubDocument(), commentAnnotation(), defineTable(), insertTextBox(), noteOn(), and startTable().

double WP6StylesListener::m_tempMarginLeft
| private

Referenced by insertBreak(), and marginChange().

double WP6StylesListener::m_tempMarginRight
| private

Referenced by insertBreak(), and marginChange().

The documentation for this class was generated from the following files:

- WP6StylesListener.h
- WP6StylesListener.cpp